> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Connect API - Overview

> Learn how to integrate with the Authsignal Call Connect API - an Authsignal service for call center customer authentication.

The Call Connect API is a service that enables caller authentication during active calls or omni-channel customer interactions. It can be integrated with:

* Interactive Voice Response (IVR) systems
* Customer support workflows
* Digital channels (e.g., chatbots, email)

<Card title="Download the Call Connect API OpenAPI Specification" icon="link" href="https://docs.authsignal.com/call-connect-api.json" horizontal />

### Endpoint selection

Select the API endpoint which correlates with your tenant's region selection.

<CodeGroup>
  ```bash US (Oregon) theme={null}
  https://us-connect.authsignal.com
  ```

  ```bash EU (Ireland) theme={null}
  https://eu-connect.authsignal.com
  ```

  ```bash AU (Sydney) theme={null}
  https://au-connect.authsignal.com
  ```

  ```bash CA (Montreal) theme={null}
  https://ca-connect.authsignal.com
  ```
</CodeGroup>

## Authentication

The Authsignal Call Connect API uses a secret key to authenticate requests. **This key is different from the one you use to authenticate to other APIs.**

<Warning>Please keep this key secure, and never expose it publicly.</Warning>

You can find the Call Connect API secret key in the [Call Connect section of the Authsignal Portal settings](https://portal.authsignal.com/organisations/tenants/call_connect).

### Example usage

<CodeGroup>
  ```bash US (Oregon) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://us-connect.authsignal.com/call/start
  # The colon prevents curl from asking for a password.
  ```

  ```bash EU (Ireland) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://eu-connect.authsignal.com/call/start
  # The colon prevents curl from asking for a password.
  ```

  ```bash AU (Sydney) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://au-connect.authsignal.com/call/start
  # The colon prevents curl from asking for a password.
  ```

  ```bash CA (Montreal) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://ca-connect.authsignal.com/call/start
  # The colon prevents curl from asking for a password.
  ```
</CodeGroup>

Following the basic authentication protocol, the Call Connect API expects requests to include an Authorization header containing the word `Basic` followed by a space and a **base64-encoded** `username:password` string.
The `username` value should be your Call Connect API secret and the `password` value should be empty.

## Sequence Diagram

```mermaid theme={null}
sequenceDiagram
    participant U as User
    participant C as IVR/Contact Center System
    participant A as Authsignal
    U->>C: Initiates call or session
    Note over C: System matches the user during flow
    C->>A: Call Connect Start API is called
    Note over C: User can be placed in on-hold state
    A->>U: Authentication request sent via SMS/WhatsApp/Email
    Note over C: User completes authentication challenge (e.g., Passkeys, ID Verification, Face Biometrics)
    A->>C: Returns authentication outcome via Webhook
    Note over C: System updates user authentication status and routes call appropriately
```
